# ACE_Name_Reply::Transfer Struct Reference

List of all members.

## Public Attributes

ACE_UINT32 | length_
| Length of entire reply.
ACE_INT32 | type_
| Type of the reply, i.e., success (0) or failure (-1).
ACE_UINT32 | errno_

## Member Data Documentation

ACE_UINT32 ACE_Name_Reply::Transfer::errno_

| Indicates why error occurred if <this->type_> == failure (-1). Typical reasons include: <etime> (if the client timed out after waiting for the name).

ACE_UINT32 ACE_Name_Reply::Transfer::length_

| Length of entire reply.

ACE_INT32 ACE_Name_Reply::Transfer::type_

| Type of the reply, i.e., success (0) or failure (-1).

The documentation for this struct was generated from the following file:

- Name_Request_Reply.h